--- old/usr/src/pkg/manifests/SUNWcs.mf	2014-04-11 13:24:05.531072254 +0100
+++ new/usr/src/pkg/manifests/SUNWcs.mf	2014-04-11 13:24:05.540209108 +0100
@@ -23,6 +23,7 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
 # Copyright (c) 2013 Gary Mills
+# Copyright 2014 Andrew Stormont.
 #
 
 <include SUNWcs.man1.inc>
@@ -135,7 +136,7 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/ccs
 dir path=usr/ccs/bin
 dir path=usr/demo
@@ -162,7 +163,7 @@
 dir path=usr/kernel/sys/$(ARCH64) group=sys
 dir path=usr/kvm
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/audit
 dir path=usr/lib/class
 dir path=usr/lib/class/FX
@@ -175,7 +176,7 @@
 dir path=usr/lib/devfsadm/linkmod group=sys
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/autofs group=sys
-dir path=usr/lib/fs/autofs/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/fs/autofs/$(ARCH64) group=sys
 dir path=usr/lib/fs/cachefs group=sys
 dir path=usr/lib/fs/ctfs group=sys
 dir path=usr/lib/fs/dev group=sys
@@ -184,7 +185,7 @@
 dir path=usr/lib/fs/lofs group=sys
 dir path=usr/lib/fs/mntfs group=sys
 dir path=usr/lib/fs/nfs group=sys
-dir path=usr/lib/fs/nfs/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/fs/nfs/$(ARCH64) group=sys
 dir path=usr/lib/fs/objfs group=sys
 dir path=usr/lib/fs/proc group=sys
 dir path=usr/lib/fs/sharefs group=sys
@@ -200,7 +201,7 @@
 dir path=usr/lib/iconv
 dir path=usr/lib/inet
 dir path=usr/lib/inet/$(ARCH32)
-dir path=usr/lib/inet/$(ARCH64)
+$(BUILD64)dir path=usr/lib/inet/$(ARCH64)
 dir path=usr/lib/inet/dhcp
 dir path=usr/lib/inet/dhcp/nsu
 dir path=usr/lib/inet/dhcp/svc
@@ -220,7 +221,7 @@
 dir path=usr/lib/reparse
 dir path=usr/lib/saf
 dir path=usr/lib/secure
-dir path=usr/lib/secure/$(ARCH64)
+$(BUILD64)dir path=usr/lib/secure/$(ARCH64)
 dir path=usr/lib/security
 dir path=usr/lib/sysevent
 dir path=usr/lib/sysevent/modules
@@ -235,7 +236,7 @@
 dir path=usr/sadm/install/scripts
 dir path=usr/sbin
 $(i386_ONLY)dir path=usr/sbin/$(ARCH32)
-dir path=usr/sbin/$(ARCH64)
+$(BUILD64)dir path=usr/sbin/$(ARCH64)
 dir path=usr/share
 dir path=usr/share/doc group=other
 dir path=usr/share/doc/ksh
@@ -268,7 +269,7 @@
 dir path=var/idmap group=daemon owner=daemon
 dir path=var/inet group=sys
 dir path=var/ld
-dir path=var/ld/$(ARCH64)
+$(BUILD64)dir path=var/ld/$(ARCH64)
 dir path=var/log group=sys
 dir path=var/logadm
 dir path=var/mail group=mail mode=1777
@@ -681,21 +682,21 @@
 file path=usr/bin/$(ARCH32)/savecore mode=0555
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/setuname mode=0555
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/uptime mode=4555
-file path=usr/bin/$(ARCH64)/amt mode=0555
-file path=usr/bin/$(ARCH64)/crle mode=0555
-file path=usr/bin/$(ARCH64)/decrypt mode=0555
-file path=usr/bin/$(ARCH64)/digest mode=0555
-file path=usr/bin/$(ARCH64)/ksh93 mode=0555
-file path=usr/bin/$(ARCH64)/ls mode=0555
-file path=usr/bin/$(ARCH64)/moe mode=0555
-file path=usr/bin/$(ARCH64)/newtask group=sys mode=4555
-file path=usr/bin/$(ARCH64)/nohup mode=0555
-file path=usr/bin/$(ARCH64)/prctl mode=0555
-file path=usr/bin/$(ARCH64)/prstat mode=0555
-file path=usr/bin/$(ARCH64)/ps mode=0555
-file path=usr/bin/$(ARCH64)/savecore mode=0555
-file path=usr/bin/$(ARCH64)/setuname mode=0555
-file path=usr/bin/$(ARCH64)/uptime mode=4555
+$(BUILD64)file path=usr/bin/$(ARCH64)/amt mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/crle mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/decrypt mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/digest mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ksh93 mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ls mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/moe mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/newtask group=sys mode=4555
+$(BUILD64)file path=usr/bin/$(ARCH64)/nohup mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/prctl mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/prstat mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ps mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/savecore mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/setuname mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/uptime mode=4555
 $(i386_ONLY)file path=usr/bin/addbadsec mode=0555
 file path=usr/bin/alias mode=0555
 file path=usr/bin/amt mode=0555
@@ -922,7 +923,7 @@
 $(i386_ONLY)file path=usr/kernel/sys/exacctsys group=sys mode=0755
 $(i386_ONLY)file path=usr/kernel/sys/sysacct group=sys mode=0755
 file path=usr/kvm/README group=sys
-file path=usr/lib/$(ARCH64)/libshare.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libshare.so.1
 file path=usr/lib/audit/audit_record_attr mode=0444
 file path=usr/lib/calprog mode=0555
 file path=usr/lib/class/FX/FXdispadmin mode=0555
@@ -1216,7 +1217,7 @@
 file path=usr/lib/iconv/iconv_data mode=0444
 file path=usr/lib/idmapd mode=0555
 file path=usr/lib/inet/$(ARCH32)/in.iked mode=0555
-file path=usr/lib/inet/$(ARCH64)/in.iked mode=0555
+$(BUILD64)file path=usr/lib/inet/$(ARCH64)/in.iked mode=0555
 file path=usr/lib/inet/certdb mode=0555
 file path=usr/lib/inet/certlocal mode=0555
 file path=usr/lib/inet/certrldb mode=0555
@@ -1291,18 +1292,18 @@
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/sysdef group=sys mode=2555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/update_drv group=sys mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/whodo mode=4555
-file path=usr/sbin/$(ARCH64)/add_drv group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/modinfo group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/modload group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/modunload group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/pbind group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/prtconf group=sys mode=2555
-file path=usr/sbin/$(ARCH64)/psrset group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/rem_drv group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/swap group=sys mode=2555
-file path=usr/sbin/$(ARCH64)/sysdef group=sys mode=2555
-file path=usr/sbin/$(ARCH64)/update_drv group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/whodo mode=4555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/add_drv group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/modinfo group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/modload group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/modunload group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/pbind group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/prtconf group=sys mode=2555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/psrset group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/rem_drv group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/swap group=sys mode=2555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/sysdef group=sys mode=2555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/update_drv group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/whodo mode=4555
 file path=usr/sbin/6to4relay mode=0555
 file path=usr/sbin/acctadm mode=0555
 file path=usr/sbin/allocate mode=4555
@@ -1495,12 +1496,12 @@
 hardlink path=usr/bin/$(ARCH32)/rksh target=ksh93
 hardlink path=usr/bin/$(ARCH32)/rksh93 target=ksh93
 $(i386_ONLY)hardlink path=usr/bin/$(ARCH32)/w target=uptime
-hardlink path=usr/bin/$(ARCH64)/encrypt target=decrypt
-hardlink path=usr/bin/$(ARCH64)/ksh target=ksh93
-hardlink path=usr/bin/$(ARCH64)/mac target=digest
-hardlink path=usr/bin/$(ARCH64)/rksh target=ksh93
-hardlink path=usr/bin/$(ARCH64)/rksh93 target=ksh93
-hardlink path=usr/bin/$(ARCH64)/w target=uptime
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/encrypt target=decrypt
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/ksh target=ksh93
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/mac target=digest
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/rksh target=ksh93
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/rksh93 target=ksh93
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/w target=uptime
 hardlink path=usr/bin/bg target=../../usr/bin/alias
 hardlink path=usr/bin/cd target=../../usr/bin/alias
 hardlink path=usr/bin/cksum target=../../usr/bin/alias
@@ -1805,7 +1806,8 @@
 link path=usr/ccs/bin/m4 target=../../bin/m4
 link path=usr/has/bin/jsh target=sh
 link path=usr/has/lib/rsh target=../bin/sh
-link path=usr/lib/$(ARCH64)/ld.so.1 target=../../../lib/$(ARCH64)/ld.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/ld.so.1 \
+    target=../../../lib/$(ARCH64)/ld.so.1
 link path=usr/lib/cron target=../../etc/cron.d
 link path=usr/lib/devfsadm/devfsadmd target=../../sbin/devfsadm
 link path=usr/lib/embedded_su target=../bin/su
@@ -1817,7 +1819,7 @@
 link path=usr/lib/locale/POSIX target=./C
 link path=usr/lib/rsh target=../bin/ksh93
 link path=usr/lib/secure/32 target=.
-link path=usr/lib/secure/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/secure/64 target=$(ARCH64)
 link path=usr/lib/wusbd target=../../sbin/wusbadm
 link path=usr/mail target=../var/mail
 link path=usr/net/nls/listen target=../../lib/saf/listen
@@ -1876,7 +1878,7 @@
 link path=usr/src target=./share/src
 link path=usr/tmp target=../var/tmp
 link path=var/ld/32 target=.
-link path=var/ld/64 target=$(ARCH64)
+$(BUILD64)link path=var/ld/64 target=$(ARCH64)
 #
 # The bootadm binary needs the etc/release file.
 #