--- old/usr/src/pkg/manifests/developer-linker.mf	2014-04-11 13:24:07.567354918 +0100
+++ new/usr/src/pkg/manifests/developer-linker.mf	2014-04-11 13:24:07.574382133 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/linker@$(PKGVERS)
@@ -33,18 +34,18 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/ccs
 dir path=usr/ccs/bin
-dir path=usr/ccs/bin/$(ARCH64)
+$(BUILD64)dir path=usr/ccs/bin/$(ARCH64)
 dir path=usr/ccs/lib
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/abi
 dir path=usr/lib/ld
-dir path=usr/lib/ld/$(ARCH64)
+$(BUILD64)dir path=usr/lib/ld/$(ARCH64)
 dir path=usr/lib/link_audit
-dir path=usr/lib/link_audit/$(ARCH64)
+$(BUILD64)dir path=usr/lib/link_audit/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man1
 dir path=usr/share/man/man4
@@ -52,14 +53,14 @@
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/plimit mode=0555
 file path=usr/bin/$(ARCH32)/strings mode=0555
 file path=usr/bin/$(ARCH32)/truss mode=0555
-file path=usr/bin/$(ARCH64)/elfwrap mode=0555
-file path=usr/bin/$(ARCH64)/gcore mode=0555
-file path=usr/bin/$(ARCH64)/ld mode=0755
-file path=usr/bin/$(ARCH64)/ldd mode=0555
-file path=usr/bin/$(ARCH64)/plimit mode=0555
-file path=usr/bin/$(ARCH64)/pvs mode=0555
-file path=usr/bin/$(ARCH64)/strings mode=0555
-file path=usr/bin/$(ARCH64)/truss mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/elfwrap mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/gcore mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ld mode=0755
+$(BUILD64)file path=usr/bin/$(ARCH64)/ldd mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/plimit mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pvs mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/strings mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/truss mode=0555
 file path=usr/bin/ctags mode=0555
 file path=usr/bin/elfsign mode=0555
 file path=usr/bin/elfwrap mode=0555
@@ -71,8 +72,8 @@
 file path=usr/bin/regcmp mode=0555
 file path=usr/bin/sotruss mode=0755
 file path=usr/bin/whocalls mode=0755
-file path=usr/lib/$(ARCH64)/lddstub mode=0555
-file path=usr/lib/$(ARCH64)/libldstab.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/lddstub mode=0555
+$(BUILD64)file path=usr/lib/$(ARCH64)/libldstab.so.1
 file path=usr/lib/abi/spec2map mode=0755
 file path=usr/lib/abi/spec2trace mode=0755
 file path=usr/lib/ld/map.above4G mode=0444
@@ -87,9 +88,9 @@
 file path=usr/lib/ld/map.pagealign mode=0444
 file path=usr/lib/lddstub mode=0555
 file path=usr/lib/libldstab.so.1
-file path=usr/lib/link_audit/$(ARCH64)/ldprof.so.1
-file path=usr/lib/link_audit/$(ARCH64)/truss.so.1
-file path=usr/lib/link_audit/$(ARCH64)/who.so.1
+$(BUILD64)file path=usr/lib/link_audit/$(ARCH64)/ldprof.so.1
+$(BUILD64)file path=usr/lib/link_audit/$(ARCH64)/truss.so.1
+$(BUILD64)file path=usr/lib/link_audit/$(ARCH64)/who.so.1
 file path=usr/lib/link_audit/ldprof.so.1
 file path=usr/lib/link_audit/truss.so.1
 file path=usr/lib/link_audit/who.so.1
@@ -121,12 +122,12 @@
 license lic_CDDL license=lic_CDDL
 license lic_OSBL license=lic_OSBL
 license lic_OSBL_preamble license=lic_OSBL_preamble
-link path=usr/ccs/bin/$(ARCH64)/ld target=../../../bin/$(ARCH64)/ld
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/ld target=../../../bin/$(ARCH64)/ld
 link path=usr/ccs/bin/ld target=../../bin/ld
 link path=usr/ccs/bin/regcmp target=../../bin/regcmp
 link path=usr/ccs/lib/link_audit target=../../lib/link_audit
-link path=usr/lib/ld/$(ARCH64)/map.above4G target=../map.above4G
-link path=usr/lib/ld/$(ARCH64)/map.below4G target=../map.below4G
-link path=usr/lib/ld/$(ARCH64)/map.default target=../map.default
+$(BUILD64)link path=usr/lib/ld/$(ARCH64)/map.above4G target=../map.above4G
+$(BUILD64)link path=usr/lib/ld/$(ARCH64)/map.below4G target=../map.below4G
+$(BUILD64)link path=usr/lib/ld/$(ARCH64)/map.default target=../map.default
 link path=usr/lib/link_audit/32 target=.
-link path=usr/lib/link_audit/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/link_audit/64 target=$(ARCH64)