--- old/usr/src/pkg/manifests/developer-object-file.mf	2014-04-11 13:24:07.766509745 +0100
+++ new/usr/src/pkg/manifests/developer-object-file.mf	2014-04-11 13:24:07.774917011 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/object-file@$(PKGVERS)
@@ -31,26 +32,26 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/bin
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/ccs
 dir path=usr/ccs/bin
-dir path=usr/ccs/bin/$(ARCH64)
+$(BUILD64)dir path=usr/ccs/bin/$(ARCH64)
 dir path=usr/ccs/lib
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/elfedit
-dir path=usr/lib/elfedit/$(ARCH64)
+$(BUILD64)dir path=usr/lib/elfedit/$(ARCH64)
 dir path=usr/share
 dir path=usr/share/lib
 dir path=usr/share/lib/ccs
 dir path=usr/share/man/man1
-file path=usr/bin/$(ARCH64)/ar mode=0555
-file path=usr/bin/$(ARCH64)/dump mode=0555
-file path=usr/bin/$(ARCH64)/elfdump mode=0555
-file path=usr/bin/$(ARCH64)/elfedit mode=0555
-file path=usr/bin/$(ARCH64)/mcs mode=0555
-file path=usr/bin/$(ARCH64)/nm mode=0555
-file path=usr/bin/$(ARCH64)/size mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ar mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/dump mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/elfdump mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/elfedit mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/mcs mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/nm mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/size mode=0555
 file path=usr/bin/ar mode=0555
 file path=usr/bin/dis mode=0555
 file path=usr/bin/dump mode=0555
@@ -71,16 +72,16 @@
 file path=usr/bin/tsort mode=0555
 file path=usr/bin/unifdef mode=0555
 file path=usr/bin/yacc mode=0555
-file path=usr/lib/$(ARCH64)/llib-ll.ln
-file path=usr/lib/$(ARCH64)/llib-ly.ln
-file path=usr/lib/elfedit/$(ARCH64)/cap.so
-file path=usr/lib/elfedit/$(ARCH64)/dyn.so
-file path=usr/lib/elfedit/$(ARCH64)/ehdr.so
-file path=usr/lib/elfedit/$(ARCH64)/phdr.so
-file path=usr/lib/elfedit/$(ARCH64)/shdr.so
-file path=usr/lib/elfedit/$(ARCH64)/str.so
-file path=usr/lib/elfedit/$(ARCH64)/sym.so
-file path=usr/lib/elfedit/$(ARCH64)/syminfo.so
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ll.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ly.ln
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/cap.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/dyn.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/ehdr.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/phdr.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/shdr.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/str.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/sym.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/syminfo.so
 file path=usr/lib/elfedit/cap.so
 file path=usr/lib/elfedit/dyn.so
 file path=usr/lib/elfedit/ehdr.so
@@ -119,7 +120,7 @@
 file path=usr/share/man/man1/tsort.1
 file path=usr/share/man/man1/unifdef.1
 file path=usr/share/man/man1/yacc.1
-hardlink path=usr/bin/$(ARCH64)/strip target=../../bin/$(ARCH64)/mcs
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/strip target=../../bin/$(ARCH64)/mcs
 hardlink path=usr/bin/strip target=../bin/mcs
 legacy pkg=SUNWbtool \
     desc="software development utilities, including ar, dis, dump, elfdump, elfedit, lex, lorder, mcs, nm, prof, ranlib, rpcgen, size, strip, tsort, and yacc" \
@@ -128,13 +129,18 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/cmd/backup/dump/THIRDPARTYLICENSE \
     license=usr/src/cmd/backup/dump/THIRDPARTYLICENSE
-link path=usr/ccs/bin/$(ARCH64)/ar target=../../../bin/$(ARCH64)/ar
-link path=usr/ccs/bin/$(ARCH64)/dump target=../../../bin/$(ARCH64)/dump
-link path=usr/ccs/bin/$(ARCH64)/elfdump target=../../../bin/$(ARCH64)/elfdump
-link path=usr/ccs/bin/$(ARCH64)/mcs target=../../../bin/$(ARCH64)/mcs
-link path=usr/ccs/bin/$(ARCH64)/nm target=../../../bin/$(ARCH64)/nm
-link path=usr/ccs/bin/$(ARCH64)/size target=../../../bin/$(ARCH64)/size
-link path=usr/ccs/bin/$(ARCH64)/strip target=../../../bin/$(ARCH64)/strip
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/ar target=../../../bin/$(ARCH64)/ar
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/dump \
+    target=../../../bin/$(ARCH64)/dump
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/elfdump \
+    target=../../../bin/$(ARCH64)/elfdump
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/mcs \
+    target=../../../bin/$(ARCH64)/mcs
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/nm target=../../../bin/$(ARCH64)/nm
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/size \
+    target=../../../bin/$(ARCH64)/size
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/strip \
+    target=../../../bin/$(ARCH64)/strip
 link path=usr/ccs/bin/ar target=../../bin/ar
 link path=usr/ccs/bin/dis target=../../bin/dis
 link path=usr/ccs/bin/dump target=../../bin/dump
@@ -158,6 +164,6 @@
 link path=usr/ccs/lib/llib-ll.ln target=../../lib/llib-ll.ln
 link path=usr/ccs/lib/llib-ly.ln target=../../lib/llib-ly.ln
 link path=usr/lib/elfedit/32 target=.
-link path=usr/lib/elfedit/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/elfedit/64 target=$(ARCH64)
 depend fmri=developer/macro/cpp type=require
 depend fmri=runtime/perl-510 type=require