--- old/usr/src/pkg/manifests/service-fault-management.mf	2014-04-11 13:24:10.142528571 +0100
+++ new/usr/src/pkg/manifests/service-fault-management.mf	2014-04-11 13:24:10.149513949 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -60,7 +61,7 @@
 # lib dirs:
 #
 dir path=lib/fm variant.opensolaris.zone=__NODEFAULT
-dir path=lib/fm/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)dir path=lib/fm/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
 #
 # Our service manifests are common to global and non-global zones
 #
@@ -87,13 +88,14 @@
 dir path=usr/include/fm
 dir path=usr/lib variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm variant.opensolaris.zone=__NODEFAULT
-dir path=usr/lib/fm/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)dir path=usr/lib/fm/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/dict variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/eft
 dir path=usr/lib/fm/fmd variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/fmd/plugins variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/fmd/schemes variant.opensolaris.zone=__NODEFAULT
-dir path=usr/lib/fm/fmd/schemes/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)dir path=usr/lib/fm/fmd/schemes/$(ARCH64) \
+    variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/notify variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/topo variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/topo/maps variant.opensolaris.zone=__NODEFAULT
@@ -268,9 +270,9 @@
 #
 # Some libraries need to be in lib for install
 #
-file path=lib/fm/$(ARCH64)/libfmevent.so.1 \
+$(BUILD64)file path=lib/fm/$(ARCH64)/libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=lib/fm/$(ARCH64)/llib-lfmevent.ln \
+$(BUILD64)file path=lib/fm/$(ARCH64)/llib-lfmevent.ln \
     variant.opensolaris.zone=__NODEFAULT
 file path=lib/fm/libfmevent.so.1 variant.opensolaris.zone=__NODEFAULT
 file path=lib/fm/llib-lfmevent variant.opensolaris.zone=__NODEFAULT
@@ -307,50 +309,50 @@
 #
 #	64-bit .so.1
 #
-file path=usr/lib/fm/$(ARCH64)/libdiagcode.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libdiagcode.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libdiskstatus.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libdiskstatus.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_adm.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_adm.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_agent.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_agent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_log.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_log.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_msg.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_msg.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_snmp.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_snmp.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmnotify.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmnotify.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-$(sparc_ONLY)file path=usr/lib/fm/$(ARCH64)/libldom.so.1
-$(sparc_ONLY)file path=usr/lib/fm/$(ARCH64)/libmdesc.so.1
-file path=usr/lib/fm/$(ARCH64)/libseslog.so.1
-file path=usr/lib/fm/$(ARCH64)/libtopo.so.1 \
+$(sparc_BUILD64)file path=usr/lib/fm/$(ARCH64)/libldom.so.1
+$(sparc_BUILD64)file path=usr/lib/fm/$(ARCH64)/libmdesc.so.1
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libseslog.so.1
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libtopo.so.1 \
     variant.opensolaris.zone=__NODEFAULT
 #
 #	64-bit lint libraries
 #
-file path=usr/lib/fm/$(ARCH64)/llib-ldiagcode.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-ldiagcode.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-ldiskstatus.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-ldiskstatus.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_adm.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_adm.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_agent.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_agent.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_log.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_log.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_msg.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_msg.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_snmp.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_snmp.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmnotify.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmnotify.ln \
     variant.opensolaris.zone=__NODEFAULT
-$(sparc_ONLY)file path=usr/lib/fm/$(ARCH64)/llib-lldom.ln
-$(sparc_ONLY)file path=usr/lib/fm/$(ARCH64)/llib-lmdesc.ln
-file path=usr/lib/fm/$(ARCH64)/llib-lseslog.ln
-file path=usr/lib/fm/$(ARCH64)/llib-ltopo.ln \
+$(sparc_BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lldom.ln
+$(sparc_BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lmdesc.ln
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lseslog.ln
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-ltopo.ln \
     variant.opensolaris.zone=__NODEFAULT
 #
 # Dictionaries, whether they are hardware-specific or not, are
@@ -471,27 +473,27 @@
 #
 # fmri scheme support: all are common to both global and non-global zones
 #
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/cpu.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/cpu.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/dev.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/dev.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/fmd.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/fmd.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/hc.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/hc.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/legacy-hc.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/legacy-hc.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/mem.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/mem.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/mod.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/mod.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/pkg.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/pkg.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/svc.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/svc.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/sw.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/sw.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/zfs.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/zfs.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
 file path=usr/lib/fm/fmd/schemes/cpu.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
@@ -872,7 +874,7 @@
 #
 # libraries .so symlinks in lib
 #
-link path=lib/fm/$(ARCH64)/libfmevent.so target=./libfmevent.so.1 \
+$(BUILD64)link path=lib/fm/$(ARCH64)/libfmevent.so target=./libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
 link path=lib/fm/libfmevent.so target=libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
@@ -880,34 +882,35 @@
 #
 #	64-bit .so symlinks
 #
-link path=usr/lib/fm/$(ARCH64)/libdiagcode.so target=./libdiagcode.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libdiskstatus.so target=./libdiskstatus.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_adm.so target=./libfmd_adm.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_agent.so target=./libfmd_agent.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_log.so target=./libfmd_log.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_msg.so target=./libfmd_msg.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_snmp.so target=./libfmd_snmp.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmevent.so \
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libdiagcode.so \
+    target=./libdiagcode.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libdiskstatus.so \
+    target=./libdiskstatus.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_adm.so \
+    target=./libfmd_adm.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_agent.so \
+    target=./libfmd_agent.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_log.so \
+    target=./libfmd_log.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_msg.so \
+    target=./libfmd_msg.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_snmp.so \
+    target=./libfmd_snmp.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmevent.so \
     target=../../../../lib/fm/$(ARCH64)/libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmevent.so.1 \
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmevent.so.1 \
     target=../../../../lib/fm/$(ARCH64)/libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmnotify.so target=./libfmnotify.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-$(sparc_ONLY)link path=usr/lib/fm/$(ARCH64)/libldom.so target=libldom.so.1
-$(sparc_ONLY)link path=usr/lib/fm/$(ARCH64)/libmdesc.so target=libmdesc.so.1
-link path=usr/lib/fm/$(ARCH64)/libseslog.so target=./libseslog.so.1
-link path=usr/lib/fm/$(ARCH64)/libtopo.so target=libtopo.so.1 \
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmnotify.so \
+    target=./libfmnotify.so.1 variant.opensolaris.zone=__NODEFAULT
+$(sparc_BUILD64)link path=usr/lib/fm/$(ARCH64)/libldom.so target=libldom.so.1
+$(sparc_BUILD64)link path=usr/lib/fm/$(ARCH64)/libmdesc.so \
+    target=libmdesc.so.1
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libseslog.so target=./libseslog.so.1
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libtopo.so target=libtopo.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/llib-lfmevent.ln \
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/llib-lfmevent.ln \
     target=../../../../lib/fm/$(ARCH64)/llib-lfmevent.ln
 #
 #	32-bit .so symlinks